group = "dev.carlosmartino.core"

plugins {
    alias(libs.plugins.kotlinDevKit)
    alias(libs.plugins.composeDevKit)
}

kotlin {
    sourceSets {
        commonMain.dependencies {
            api(libs.atomicfu)
            api(libs.kotlinx.datetime)
            api(libs.kotlinx.coroutines.core)
            api(libs.kotlinx.serialization.json)
            api(libs.koin.core)
            api(libs.koin.compose)
            api(libs.koin.compose.viewmodel)
            api(libs.koin.compose.viewmodel.navigation)

            implementation(libs.androidx.security.crypto)
            implementation(libs.androidx.datastore.preferences)
            implementation(libs.androidx.datastore.preferences.core)
            implementation(libs.multiplatform.settings.core)
            implementation(libs.multiplatform.settings.noarg)
            implementation(libs.multiplatform.settings.coroutines)
            implementation(libs.multiplatform.settings.serialization)
            implementation(libs.moko.permissions)
            implementation(libs.moko.permissions.compose)
            implementation(libs.moko.permissions.bluetooth)
            implementation(libs.moko.permissions.camera)
            implementation(libs.moko.permissions.contacts)
            implementation(libs.moko.permissions.gallery)
            implementation(libs.moko.permissions.location)
            implementation(libs.moko.permissions.microphone)
            implementation(libs.moko.permissions.motion)
            implementation(libs.moko.permissions.notifications)
            implementation(libs.moko.permissions.storage)
        }

        androidMain.dependencies {
            api(libs.kotlinx.coroutines.android)
            api(libs.koin.android)
            api(libs.multiplatform.settings.core)
        }
    }
}
